# -*- coding: iso-8859-1 -*-
from __future__ import division # 1/2 == .5 (par defaut, 1/2 == 0)

#    WxGeometrie
#    Dynamic geometry, graph plotter, and more for french mathematic teachers.
#    Copyright (C) 2005-2007  Nicolas Pourcelot
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# version unicode

import __builtin__ as builtin
import random as module_random
import math, cmath
import os, string, re, types, inspect, sys, traceback, gc, weakref, tempfile, urllib, webbrowser, zlib, zipfile
import param # parametres du programme
import wxgeo # constantes du programme
#~ try:
    #~ import wxversion
    #~ wxversion.select(param.version_wxpython) # version  utiliser de prfrence
#~ except:  # ou bien la version n'est pas trouve, ou bien on est dans py2exe
    #~ print u"Erreur : impossible de charger la version %s de WxPython." %param.version_wxpython
import wx
param.unicode = wx.PlatformInfo[2] == "unicode"
if param.latex_unicode is None:
    param.latex_unicode = param.unicode and param.latex
    
    
import wx.lib.dialogs
import time
import new
#from copy import copy
import copy as module_copy
from random import normalvariate

from fonctions import * # librairie regroupant diverses fonctions "maison"
from infos import * # librairie servant a generer des infos sur la configuration (utile pour le debugage)
import fonctions
import securite # outils pour gerer la securite lors d'execution de code (tache delicate !)
import bugs_report
import erreurs

import matplotlib
param.old_matplotlib = matplotlib.compare_versions("0.97", matplotlib.__version__)    
matplotlib.rcParams['text.usetex'] = param.latex
matplotlib.rcParams["text.latex.unicode"] = param.latex_unicode
try:
    matplotlib.rcParams["numerix"] = param.version_numerix
except:
    print u"Impossible de changer la librairie de calcul pour %s." %param.version_numerix
import pylab_ as pylab
#from pylab_ import * # le fichier pylab_.py est modifie lors d'une "compilation" avec py2exe

types.ArrayType = type(pylab.array([])) # compense un manque de la librairie types.
types.UfuncType = type(pylab.absolute)
fonctions_maths = [key for key, val in math.__dict__.items() if type(val) == types.BuiltinFunctionType]
fonctions_matplotlib = [key for key, val in pylab_.__dict__.items() if type(val) == types.UfuncType]


if param.python_version == 2.3:  # support des ensembles pour python 2.3
    from sets import Set as set

from deboguer import *
import deboguer
try:
    import thread # n'est pas present sur tous les Unix je crois (?)
except ImportError:
    import dummy_thread as thread
    
